package prompt

import "fmt"


var prompt_optimize = replaceWithBacktick(`
Your task is:

Try to optimize the selected code.
Please only optimize and modify the selected portion of the code and giving out the optimized code.
Do not show the original code in your results.

Following the task requirements, please ensure that the revised code segment maintains the same indentation as the selected code to seamlessly integrate with the existing code structure and maintain correct syntax.
Giving the results in the following format:

Optimized code:
"""language
The optimized code goes here...
"""

Here is the relevant context information for your reference:
1. Selected portion of the code: 
"""
%s
"""
`)


var prompt_optimize_zh = replaceWithBacktick(`
你的任务是：

尝试优化被选中代码中。
请仅优化和修改被选中的代码并给出优化后的代码。
可见代码仅作为你理解的 context，不要修改也不要输出可见代码不要在结果中显示原始代码。

按照任务要求，请确保修改后的代码段保持与被选中代码相同的缩进，以与现有的代码结构无缝集成并保持正确的语法。
以下格式给出结果：

已优化代码：
"""language
已优化代码放在这里...
"""

问题及修复：

1. Optimize1 及其修复...；
2. Optimize2 及其修复...；
...

以下是相关上下文信息，供您参考：
1. 编辑器中被选中的代码：
"""
%s
"""
`)

func MakeExecOptimize(lang, selected_text string) string {
	var formatter string
	if lang == "zh" {
		formatter = prompt_optimize_zh
	} else {
		formatter = prompt_optimize
	}
	
	return fmt.Sprintf(formatter, selected_text)
}

